%define oname libmcs

%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:	Modular Config System
Name:		mcs
Version:	0.7.2
Release:	%mkrel 8
Source0:	http://distfiles.atheme.org/%{oname}-%{version}.tbz2
Patch:		libmcs-0.7.1-linking.patch
Patch1:		libmcs-0.7.2-libmowgli.patch
License:	BSD
Group:		System/Libraries
Url:		https://github.com/atheme/libmcs
BuildRequires:	libGConf2-devel
BuildRequires:	pkgconfig(libmowgli-2)

%description
mcs is a library and set of userland tools which abstract the storage
of configuration settings away from userland applications.

It is hoped that by using mcs, that the applications which use it will
generally have a more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but
unlike those projects, mcs strictly handles abstraction. It does not
impose any specific data storage requirement, nor is it tied to any
desktop environment or software suite.

%package	-n %{libname}
Group:		System/Libraries
Summary:	Modular Config System shared library
Requires:	%{name} >= %{version}

%description	-n %{libname}
mcs is a library and set of userland tools which abstract the storage
of configuration settings away from userland applications.

It is hoped that by using mcs, that the applications which use it will
generally have a more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but
unlike those projects, mcs strictly handles abstraction. It does not
impose any specific data storage requirement, nor is it tied to any
desktop environment or software suite.

%package	-n %{develname}
Group:		Development/C
Summary:	Modular Config System shared library
Requires:	%{libname} = %{version}
Provides:	libmcs-devel = %{version}-%{release}
Obsoletes:	%mklibname -d %{name} 1

%description	-n %{develname}
mcs is a library and set of userland tools which abstract the storage
of configuration settings away from userland applications.

It is hoped that by using mcs, that the applications which use it will
generally have a more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but
unlike those projects, mcs strictly handles abstraction. It does not
impose any specific data storage requirement, nor is it tied to any
desktop environment or software suite.

%package	gconf
Group:		System/Libraries
Summary:	Modular Config System - GConf backend
Requires:	%{name} = %{version}

%description	gconf
mcs is a library and set of userland tools which abstract the storage
of configuration settings away from userland applications.

It is hoped that by using mcs, that the applications which use it will
generally have a more congruent feeling in regards to settings.

There have been other projects like this before (such as GConf), but
unlike those projects, mcs strictly handles abstraction. It does not
impose any specific data storage requirement, nor is it tied to any
desktop environment or software suite.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

%build
%configure2_5x --disable-kconfig
%make

%install
%makeinstall_std

%files
%doc AUTHORS TODO README
%{_bindir}/mcs-*
%dir %{_libdir}/mcs/
%{_libdir}/mcs/keyfile.so

%files gconf
%{_libdir}/mcs/gconf.so

%files -n %libname
%{_libdir}/libmcs.so.%{major}{,.*}

%files -n %develname
%{_libdir}/libmcs.so
%{_libdir}/pkgconfig/libmcs.pc
%{_includedir}/libmcs/


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.7.2-8.mga6
+ Revision: 942800
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.2-7.mga5
+ Revision: 743494
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7.2-6.mga5
+ Revision: 727226
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7.2-5.mga5
+ Revision: 682318
- Mageia 5 Mass Rebuild

* Sun Jun 08 2014 sander85 <sander85> 0.7.2-4.mga5
+ Revision: 634796
- Rebuild for libmowgli

* Fri Oct 18 2013 umeabot <umeabot> 0.7.2-3.mga4
+ Revision: 507847
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.7.2-2.mga3
+ Revision: 359851
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Mar 04 2011 ennael <ennael> 0.7.2-1.mga1
+ Revision: 63965
- clean spec file
- imported package mcs


* Mon Aug 16 2010 Götz Waschk <waschk@mandriva.org> 0.7.2-1mdv2011.0
+ Revision: 570283
- new version

* Sat Aug 22 2009 Götz Waschk <waschk@mandriva.org> 0.7.1-4mdv2010.0
+ Revision: 419662
- disable kconfig backend
- readd package still needed by audacious and deleted from svn by someone

  + Antoine Ginies <aginies@mandriva.com>
    - 2009.1 rebuild

* Mon Jul 21 2008 Götz Waschk <waschk@mandriva.org> 0.7.1-2mdv2009.0
+ Revision: 239335
- rebuild

* Thu Jun 12 2008 Götz Waschk <waschk@mandriva.org> 0.7.1-1mdv2009.0
+ Revision: 218382
- fix library path on 64 bit
- new version
- fix linking

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Götz Waschk <waschk@mandriva.org> 0.7.0-1mdv2008.1
+ Revision: 170664
- new version
- add kconfig backend
- split out gconf backend

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Tue Jan 01 2008 Götz Waschk <waschk@mandriva.org> 0.6.0-3mdv2008.1
+ Revision: 140163
- rebuild for new libmowgli

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 0.6.0-2mdv2008.1
+ Revision: 98477
- rebuild for new libmowgli

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 98454
- fix buildrequries
- new version
- new URL
- fix build
- new devel name
- update file list


* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 0.4.1-1mdv2007.0
+ Revision: 126328
- new version
- sacrifice a chicken for the build system
- new version

* Mon Feb 19 2007 Götz Waschk <waschk@mandriva.org> 0.3.3-1mdv2007.1
+ Revision: 122673
- new version
- drop patch

* Mon Feb 19 2007 Götz Waschk <waschk@mandriva.org> 0.3.2-2mdv2007.1
+ Revision: 122667
- fix libdir on x86_64
- Import mcs

* Mon Feb 19 2007 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdv2007.1
- initial package

